#!/bin/bash
# Workaround when encountering 'device or resource busy' errors when
# trying to restart or remove docker containers.
# Remember to stop all running containers first.
DOCKER_MOUNTS="$(grep 'docker-' /proc/mounts | awk '{print $2}' | sort -r)"
if [ -n "$DOCKER_MOUNTS" ]; then
  umount -l $DOCKER_MOUNTS
else
  echo "No leftover docker mounts found."
fi